{
    "tblname": "folder",
	"uitype":"tree",
	"title":"目录",
    "params":{
        "idField":"id",
        "textField":"name",
		"typeField":"filetype",
		"sortby":"name",
        "editable":true,
		"logined_userorgid":"ownerid",
		"browserfields":{
			"alter":{}
		},
		"node_typeicons":{
			"pdf": "{{entire_url('/bricks/imgs/pdf.svg')}}",
			"txt":"{{entire_url('/bricks/imgs/txt.svg')}}",
			"docx":"{{entire_url('/bricks/imgs/docx.svg')}}",
			"doc":"{{entire_url('/bricks/imgs/docx.svg')}}",
			"pptx":"{{entire_url('/bricks/imgs/pptx.svg')}}",
			"ppt":"{{entire_url('/bricks/imgs/pptx.svg')}}",
			"xlsx":"{{entire_url('/bricks/imgs/xlsx.svg')}}",
			"xls":"{{entire_url('/bricks/imgs/xlsx.svg')}}",
			"epub":"{{entire_url('/bricks/imgs/epub.svg')}}",
			"csv":"{{entire_url('/bricks/imgs/csv.svg')}}"
		},
        "edit_exclouded_fields":["id", "fiid", "ownerid" ],
		"get_data_url":"{{entire_url('/rag/get_folder_subs.dspy')}}",
		"delete_data_url": "{{entire_url('/rag/delete_folder_or_file.dspy')}}",
		"params":{
			"id":"{{params_kw.id or '' }}"
		},
		"newdata_params":{
			"fiid":"{{params_kw.id or ''}}"
		},
        "parentField":"parentid",
        "toolbar":{
			"tools":[
				{
					"name":"upload",
					"label":"上传文件",
					"selected_data": true,
					"icon":"{{entire_url('/bricks/imgs/upload.svg')}}"
				}
			]
        },  
        "binds":[
			{
				"wid":"self",
				"event":"upload",
				"actiontype":"urlwidget",
				"target":"PopupWindow",
				"popup_options":{
					"width":"75%",
					"height":"75%",
					"icon":"{{entire_url('/bricks/imgs/app.png')}}",
					"title":"上传文件"
				},
				"options":{
					"url":"{{entire_url('/rag/upload_file.ui')}}"
				}
			}
        ]   
    }   
}
